### Method

# ECal Client get_object

since: 3.2

#### Declaration [src]

    void
    e_cal_client_get_object (
      ECalClient* client,
      const gchar* uid,
      const gchar* rid,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Queries a calendar for a calendar component object based on its unique identifier. The call is finished by `e_cal_client_get_object_finish()` from the `callback`.

Use `e_cal_client_get_objects_for_uid()` to get list of all objects for the given uid, which includes master object and all detached instances.

Available since: 3.2

This method completes asynchronously. Use `e_cal_client_get_object_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`uid`

  Type: `const gchar*`

  Unique identifier for a calendar component.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  Recurrence identifier.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.